Saturate License Policy (Legacy)

This endpoint is deprecated. Use the successor version instead.

Get the "saturated" version of a license policy's allow list, filling in the entire set of allowed license data. For example, the saturated form of a license allow list which only specifies that licenses in the tier "maximal copyleft" are allowed is shown below (note the expanded allowedStrings property):

{
  "allowedApprovalSources": [],
  "allowedFamilies": [],
  "allowedTiers": [
    "maximal copyleft"
  ],
  "allowedStrings": [
    "Parity-6.0.0",
    "QPL-1.0-INRIA-2004",
    "QPL-1.0",
    "RPL-1.1",
    "RPL-1.5"
  ],
  "allowedPURLs": [],
  "focusAlertsHere": false
}

This may be helpful for users who want to compose more complex sets of allowed license data via the "allowedStrings" property, or for users who want to know more about the contents of a particular license group (family, tier, or approval source).

Allow List Schema

where

PermissiveTier ::= "model permissive" | "gold" | "silver" | "bronze" | "lead" CopyleftTier ::= "maximal copyleft" | "network copyleft" | "strong copyleft" | "weak copyleft"

Return Value

The returned value has the same shape as a license allow list:

{
  allowedApprovalSources?: Array<"fsf" | "osi">,
  allowedFamilies?: Array<"copyleft" | "permissive">,
  allowedTiers?: Array<PermissiveTier | CopyleftTier>,
  allowedStrings?: Array<string>
  allowedPURLs?: Array<string>
  focusAlertsHere?: boolean
}

where

PermissiveTier ::= "model permissive" | "gold" | "silver" | "bronze" | "lead" CopyleftTier ::= "maximal copyleft" | "network copyleft" | "strong copyleft" | "weak copyleft"

readers can learn more about copyleft tiers and permissive tiers by reading the linked resources.

Example request bodies:

{
  "allowedApprovalSources": ["fsf"],
  "allowedPURLs": [],
  "allowedFamilies": ["copyleft"],
  "allowedTiers": ["model permissive"],
  "allowedStrings": ["License :: OSI Approved :: BSD License"],
  "focusAlertsHere": false
}

This endpoint consumes 100 units of your quota.

This endpoint requires the following org token scopes:

  • packages:list
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
allow
object
required
warn
object
required
monitor
object
required
allowedApprovalSources
array of strings | null
required
allowedApprovalSources*
allowedFamilies
array of strings | null
required
allowedFamilies*
allowedTiers
array of strings | null
required
allowedTiers*
allowedStrings
array of strings | null
required
allowedStrings*
allowedPURLs
array of strings | null
required
allowedPURLs*
boolean | null
required
Defaults to false
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json